package yourdomain.controllers.commands
{
	import yourdomain.models.FoodOrderModel;
	import yourdomain.models.enums.FoodType;
	import yourdomain.models.vo.FoodItem;
	import org.robotlegs.mvcs.SignalCommand;
	
	public class AddFoodItemToOrderCommand extends SignalCommand
	{
		[Inject]
		public var itemType:FoodType;
		
		[Inject]
		public var model:FoodOrderModel;
		
		override public function execute():void
		{
			model.addItemToOrder(itemType);
		}
	}
}